import React from "react";
import '../Item/item.scss'
const Icon = ({isFav, clickHandler}) =>{

     switch (isFav){
         case false:
             return (
                 <svg onClick={clickHandler} xmlns="http://www.w3.org/2000/svg" xmlns="http://www.w3.org/1999/xlink" version="1.1" width="30" height="30"
                      viewBox="0 0 24 24">
                     <path fill='#ffffff' d="M17.376 1C21.476 1 24 3.578 24 7.807c0 1.628-.961 3.63-2.696 5.953-.89 1.192-1.97 2.446-3.196 3.737a71.66 71.66 0 0 1-3.987 3.865 71.495 71.495 0 0 1-1.816 1.58l-.305.251-.305-.252c-.093-.076-.264-.22-.503-.424-.396-.34-.838-.727-1.313-1.155a71.66 71.66 0 0 1-3.987-3.865c-1.227-1.291-2.305-2.545-3.196-3.737C.961 11.437 0 9.435 0 7.807 0 3.578 2.524 1 6.624 1c2.08 0 4.23 1.562 5.376 3.58C13.145 2.56 15.294 1 17.376 1zM12 21.79l.18-.154c.383-.329.812-.704 1.273-1.12a69.488 69.488 0 0 0 3.865-3.746c1.18-1.244 2.217-2.448 3.068-3.587 1.593-2.132 2.462-3.943 2.462-5.286 0-3.64-2.063-5.747-5.565-5.747-1.927 0-4.049 1.768-4.842 3.843L12 7.145l-.44-1.152C10.765 3.919 8.642 2.15 6.716 2.15c-3.502 0-5.565 2.107-5.565 5.747 0 1.343.87 3.154 2.462 5.286.85 1.14 1.887 2.343 3.068 3.587a69.488 69.488 0 0 0 3.865 3.747A69.313 69.313 0 0 0 12 21.789z" id="prefix__a"/>
                 </svg>
             )
         break;
         case true:
             return (
                 <svg onClick={clickHandler}  xmlns="http://www.w3.org/2000/svg" xmlns="http://www.w3.org/1999/xlink" version="1.1" width="30" height="30"
                      viewBox="0 0 24 24">
                     <path fill="#FFD700" d="M12 5.4C11.166 3.217 8.83 1 6.4 1 2.435 1 0 3.435 0 7.6 0 13.1 12 23 12 23s12-9.9 12-15.4C24 3.435 21.565 1 17.6 1c-2.433 0-4.766 2.217-5.6 4.4z" id="prefix__a"/>
                 </svg>
             )
         break;
     }

}
export default Icon


